package api

import (
	"log/slog"

	"github.com/maximotejeda/us_dop_scrapper/config"
	"github.com/maximotejeda/us_dop_scrapper/internal/ports"
)

type Application struct {
	log *slog.Logger
	api ports.APIPorts
}

func NewApplication() *Application {
	log := slog.Default()
	log = log.With("application", "root")
	return &Application{
		log: log,
	}
}

func (a Application) Run() {
	who := config.GetWho()

}
